ソースを参照

Merge branch 'master' of https://gitee.com/gaojiashun/doc-manager

高家顺 3 年 前
コミット
4ffcd763c1

+ 81 - 0
sql/power-system.sh

@@ -0,0 +1,81 @@
+#!/bin/bash
+        #这里可替换为你自己的执行程序,其他代码无需更改
+        APP_NAME=power-system-1.0.0-SNAPSHOT.jar
+
+        #使用说明,用来提示输入参数
+        usage() {
+        echo "Usage: sh 执行脚本.sh [start|stop|restart|status]"
+        exit 1
+        }
+
+        #检查程序是否在运行
+        is_exist(){
+        pid=`ps -ef|grep $APP_NAME|grep -v grep|awk '{print $2}' `
+        #如果不存在返回1,存在返回0
+        if [ -z "${pid}" ]; then
+        return 1
+        else
+        return 0
+        fi
+        }
+
+        #启动方法
+        start(){
+        is_exist
+        if [ $? -eq "0" ]; then
+        echo "${APP_NAME} is already running. pid=${pid} ."
+        else
+        echo --------Starting application --------
+        nohup java -jar $APP_NAME > /dev/null 2>&1 &
+        echo --------------Starting --------------
+
+        #nohup java -jar $APP_NAME > /dev/null 2>&1 &
+
+        fi
+        }
+
+        #停止方法
+        stop(){
+        is_exist
+        if [ $? -eq "0" ]; then
+        kill -9 $pid
+        echo ------------Stop application ------------
+        else
+        echo "${APP_NAME} is not running"
+        fi
+        }
+
+        #输出运行状态
+        status(){
+        is_exist
+        if [ $? -eq "0" ]; then
+        echo "${APP_NAME} is running. Pid is ${pid}"
+        else
+        echo "${APP_NAME} is NOT running."
+        fi
+        }
+
+        #重启
+        restart(){
+        stop
+        start
+        }
+
+        #根据输入参数,选择执行对应方法,不输入则执行使用说明
+        case "$1" in
+        "start")
+        start
+        ;;
+        "stop")
+        stop
+        ;;
+        "status")
+        status
+        ;;
+        "restart")
+        restart
+        ;;
+        *)
+        usage
+        ;;
+        esac

+ 6 - 0
src/main/java/com/macro/mall/tiny/config/UploadConfig.java

@@ -3,6 +3,8 @@ package com.macro.mall.tiny.config;
 import org.springframework.beans.factory.annotation.Value;
 import org.springframework.context.annotation.Configuration;
 
+import java.nio.file.Paths;
+
 @Configuration
 public class UploadConfig {
 
@@ -26,4 +28,8 @@ public class UploadConfig {
     public void setPowerPath(String powerPath) {
         UploadConfig.powerPath = powerPath;
     }
+
+    public static int getPowerPathCount() {
+        return Paths.get(powerPath).getNameCount();
+    }
 }

+ 1 - 1
src/main/java/com/macro/mall/tiny/modules/business/controller/FileController.java

@@ -186,7 +186,7 @@ public class FileController {
                 if (Files.isDirectory(path)) {
                     return;
                 }
-                Path relativePath = path.subpath(3, path.getNameCount());
+                Path relativePath = path.subpath(UploadConfig.getPowerPathCount() + 1, path.getNameCount());
                 ZipArchiveEntry archiveEntry = new ZipArchiveEntry(relativePath.toString());
                 archiveEntry.setMethod(ZipEntry.DEFLATED);
                 InputStreamSupplier supplier = () -> {

+ 18 - 14
src/main/java/com/macro/mall/tiny/modules/business/service/impl/FileServiceImpl.java

@@ -128,8 +128,9 @@ public class FileServiceImpl implements FileService {
         if (!Files.exists(filePath)) {
             Asserts.fail("该文件不存在");
         }
-        int count = filePath.getNameCount();
-        if (count < 4) {
+        int powerPathCount = UploadConfig.getPowerPathCount();
+        int relativeCount = filePath.getNameCount() - powerPathCount;
+        if (relativeCount < 2) {
             return true;
         }
         if (Files.isDirectory(filePath)) {
@@ -150,27 +151,30 @@ public class FileServiceImpl implements FileService {
             Files.delete(filePath);
         }
 
-        if (count > 4) {
-            String dirType = filePath.getName(4).toString();
+        if (relativeCount > 2) {
+            String dirType = filePath.getName(powerPathCount + 2).toString();
             if (!dirType.equals(DirectoryEnum.TOWER_PIC.getName()) && !dirType.equals(DirectoryEnum.EARTH_WIRE_HARD_PIC.getName()) && !dirType.equals(DirectoryEnum.TEAM_CHECK_PIC.getName())) {
                 return true;
             }
         }
 
-        String lineNameStr = filePath.getName(3).toString();
+        String provinceStr = filePath.getName(powerPathCount).toString();
+        String lineNameStr = filePath.getName(powerPathCount + 1).toString();
         QueryWrapper<BLine> lineQueryWrapper = new QueryWrapper<>();
-        lineQueryWrapper.lambda().eq(BLine::getName, lineNameStr);
+        lineQueryWrapper.lambda().eq(BLine::getProvince, provinceStr).eq(BLine::getName, lineNameStr);
         BLine line = lineMapper.selectOne(lineQueryWrapper);
 
-        QueryWrapper<BTower> towerQueryWrapper = new QueryWrapper<>();
-        towerQueryWrapper.lambda().eq(BTower::getLineId, line.getId());
+        if (line != null) {
+            QueryWrapper<BTower> towerQueryWrapper = new QueryWrapper<>();
+            towerQueryWrapper.lambda().eq(BTower::getLineId, line.getId());
 
-        if (count == 4) {
-            lineMapper.deleteById(line.getId());
-            towerMapper.delete(towerQueryWrapper);
-        } else {
-            List<BTower> towerList = towerMapper.selectList(towerQueryWrapper);
-            towerService.setHasFile(towerList);
+            if (relativeCount == 2) {
+                lineMapper.deleteById(line.getId());
+                towerMapper.delete(towerQueryWrapper);
+            } else {
+                List<BTower> towerList = towerMapper.selectList(towerQueryWrapper);
+                towerService.setHasFile(towerList);
+            }
         }
 
         // 后续清楚缓存处理